# Generated from data-confirm-modal-1.6.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name data-confirm-modal

Name: rubygem-%{gem_name}
Version: 1.6.3
Release: 1%{?dist}
Summary: Use bootstrap modals with Rails' UJS data-confirm
License: MIT
URL: http://github.com/ifad/data-confirm-modal
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby
BuildArch: noarch

%description
This gem overrides Rails' UJS behaviour to open up a Bootstrap Modal instead
of the browser's built in confirm() dialog.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.npmignore
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bower.json
%{gem_libdir}
%{gem_instdir}/package.json
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/data-confirm-modal.gemspec

%changelog
* Mon Aug 23 2021 mockbuilder - 1.6.3-1
- Initial package
